<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">

	<!-- Bootstrap CSS -->
	<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/css/bootstrap.min.css" integrity="sha384-zCbKRCUGaJDkqS1kPbPd7TveP5iyJE0EjAuZQTgFLD2ylzuqKfdKlfG/eSrtxUkn" crossorigin="anonymous">

	<!-- <link rel="stylesheet" type="text/css" href="./style.css"> -->

	<title>CSS and Bootstrap Flex</title>

</head>
<body>
	<div class="container-fluid text-center">
		<h1>Bootstrap Flex</h1>
		<p>Use the d-flex class to create a flex container and transform direct children into flex items.</p>

		<h2>Centering Elements</h2>
		<div style="height: 500px;" class="bg-secondary p-3 d-flex justify-content-center align-items-center">
			<div class="h-25 p-3 bg-success">Flex Item A</div>
			<div class="h-25 p-3 bg-warning">Flex Item B</div>
			<div class="h-25 p-3 bg-danger">Flex Item C</div>
		</div>

		<h2>Flex Column</h2>
		<div class="bg-dark p-3 d-flex flex-column">
			<div class="p-3 bg-success">Flex Item A</div>
			<div class="p-3 bg-warning">Flex Item B</div>
			<div class="p-3 bg-danger">Flex Item C</div>
		</div>

		<h2>Flex Column Reverse</h2>
		<div class="bg-dark p-3 d-flex flex-column-reverse">
			<div class="p-3 bg-success">Flex Item A</div>
			<div class="p-3 bg-warning">Flex Item B</div>
			<div class="p-3 bg-danger">Flex Item C</div>
		</div>

		<h2>Flex Row</h2>
		<div class="bg-dark p-3 d-flex flex-row">
			<div class="p-3 bg-success">Flex Item A</div>
			<div class="p-3 bg-warning">Flex Item B</div>
			<div class="p-3 bg-danger">Flex Item C</div>
		</div>

		<h2>Flex Row Reverse</h2>
		<div class="bg-dark p-3 d-flex flex-row-reverse">
			<div class="p-3 bg-success">Flex Item A</div>
			<div class="p-3 bg-warning">Flex Item B</div>
			<div class="p-3 bg-danger">Flex Item C</div>
		</div>

		<h2>Creating Space Between Elements</h2>
		<div class="bg-dark d-flex justify-content-around">
			<div class="p-3 bg-success col-md-2">Card A</div>
			<div class="p-3 bg-warning col-md-2">Card B</div>
			<div class="p-3 bg-danger col-md-2">Card C</div>
		</div>

		<h2>Flexbox with Margin</h2>
		<div class="bg-dark p-3 d-flex">
			<div class="p-3 bg-success mr-auto">Flex Item A</div>
			<div class="p-3 bg-warning">Flex Item B</div>
			<div class="p-3 bg-danger">Flex Item C</div>
			<div class="p-3 bg-primary">Flex Item D</div>
		</div>

		<h2>Nested Flex Elements</h2>
		<div class="bg-dark p-3 d-block d-md-flex">
			<div class="p-3 bg-success mr-auto">Flex Item A</div>
			<div class="w-50 d-block d-md-flex justify-content-between">
				<div class="p-3 bg-warning">Flex Item B</div>
				<div class="p-3 bg-danger">Flex Item C</div>
				<div class="p-3 bg-primary">Flex Item D</div>
			</div>
		</div>
	</div>

	<!-- JS Dependencies -->
	<script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
	<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/js/bootstrap.bundle.min.js" integrity="sha384-fQybjgWLrvvRgtW6bFlB7jaZrFsaBXjsOMm/tB9LTS58ONXgqbR9W8oWht/amnpF" crossorigin="anonymous"></script>

</body>
</html>